Bug 2255180 - Review Request: rust-wayland-protocols-wlr - Generated API for the WLR wayland protocol extensions
Summary: Review Request: rust-wayland-protocols-wlr - Generated API for the WLR waylan...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL: https://crates.io/crates/wayland-prot...
Whiteboard:
Depends On: 2156605 2156606 2156607 2255177
Blocks: 2098370
TreeView+ depends on / blocked
 
Reported: 2023-12-19 03:20 UTC by Aleksei Bavshin
Modified: 2023-12-29 07:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-29 07:25:49 UTC
Type: ---
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)
The .spec file difference from Copr build 6769192 to 6776284 (993 bytes, patch)
2023-12-21 03:46 UTC, Fedora Review Service
no flags Details | Diff

Comment 1 Fedora Review Service 2023-12-19 03:23:16 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6769192
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2255180-rust-wayland-protocols-wlr/fedora-rawhide-x86_64/06769192-rust-wayland-protocols-wlr/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Fabio Valentini 2023-12-20 21:08:33 UTC
This has similar problem as the plasma protocols package - it bundles wlr-protocols (unknown version).

All XML files for protocol definitions seem to have their own included license text (HPND-sell-variant or MIT, as far as I can tell).

This will need to be addressed in the package's spec file (both with bundled() Provides, and an updated license tag of the package).

Comment 3 Fabio Valentini 2023-12-20 21:10:06 UTC
Oh, and please also exclude all the files that are not necessary for building the crate, most importantly, wlr-protocols/check.sh, which causes a dependency on /bin/bash to be generated.

Comment 5 Fedora Review Service 2023-12-21 03:46:23 UTC
Created attachment 2005248 [details]
The .spec file difference from Copr build 6769192 to 6776284

Comment 6 Fedora Review Service 2023-12-21 03:46:25 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6776284
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2255180-rust-wayland-protocols-wlr/fedora-rawhide-x86_64/06776284-rust-wayland-protocols-wlr/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 7 Fabio Valentini 2023-12-21 19:02:51 UTC
Looks good to me now, thank you!

===

Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification and is acceptable for Fedora
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- add @rust-sig with "commit" access as package co-maintainer
  (should happen automatically)

- set bugzilla assignee overrides to @rust-sig (optional)

- track package in koschei for all built branches
  (should happen automatically once rust-sig is co-maintainer)

Comment 8 Fedora Admin user for bugzilla script actions 2023-12-27 21:28:04 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-wayland-protocols-wlr

Comment 9 Fedora Update System 2023-12-29 07:19:44 UTC
FEDORA-2023-652f5d820f has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-652f5d820f

Comment 10 Fedora Update System 2023-12-29 07:25:49 UTC
FEDORA-2023-652f5d820f has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.